Bug 1376845 - The license tag should mention GPL+ or Artistic
Summary: The license tag should mention GPL+ or Artistic
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Params-Validate
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ralf Corsepius
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks: FE-Legal
TreeView+ depends on / blocked
 
Reported: 2016-09-16 15:07 UTC by Petr Pisar
Modified: 2018-08-09 14:29 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-08-09 14:29:38 UTC


Attachments (Terms of Use)

Description Petr Pisar 2016-09-16 15:07:16 UTC
Params-Validate-1.24/c/ppport.h contains license declaration:

This program is free software; you can redistribute it and/or
modify it under the same terms as Perl itself.

The file is included into compilation unit when compiling lib/Params/Validate/XS.c into XS.so. Thus I think the spec file should mention "GPL+ or Artistic" in the License tag. Now it declares "Artistic 2.0" only.

Comment 1 Ralf Corsepius 2016-09-19 11:43:06 UTC
(In reply to Petr Pisar from comment #0)
> Thus I think the spec file should
> mention "GPL+ or Artistic" in the License tag. Now it declares "Artistic
> 2.0" only.

I do not agree. This perl-dist is clearly licensed Aritistic-2.0 as whole.
The fact contains a "GPL or Artistic" licenced file is irrelevant.

Comment 2 Petr Pisar 2018-07-23 10:59:26 UTC
I don't agree with your resolution.

c/ppport.h is "GPL+ or Artistic". Because Fedora does not permit Artistic, the file is compiled as "GPL+". And if you link GPL+ code into an Artistic 2.0 code (lib/Params/Validate/XS.c), the result is tainted by GPL. Thus the binary package must state GPL+ in the license tag.

Raising to the Fedora legal team for a decision.

Comment 3 Tom "spot" Callaway 2018-07-25 18:03:25 UTC
The header file is an embedded copy of ppport.h, from Devel::PPPort. That file, like the rest of Devel::PPPort, is under the same license as perl (GPL+ or Artistic). It is compiled into the binary results that go into the Params-Validate binary RPM, thus, it _must_ be reflected in the license.

The correct license tag for the Params-Validate package is:

# One file is GPL+ or Artistic: c/ppport.h
License: Artistic 2.0 and (GPL+ or Artistic)

You could, perhaps, ask the copyright holder for Devel::PPPort if they would be willing to permit use of the bundled c/ppport.h under the terms of the Artistic 2.0 license, but as is right now, they have not given approval for that, and it would not be correct to use it under those terms.

Please correct the license tag at your earliest convenience.

Comment 4 Tom "spot" Callaway 2018-08-09 14:29:38 UTC
Waited two weeks for you to make this change, but as you did not, I went ahead and did it in rawhide.

Fixed in perl-Params-Validate-1.29-8.fc29.


Note You need to log in before you can comment on or make changes to this bug.